<?php
//==============================================================================
// GLOBAL VARIABLE
//==============================================================================
if (class_exists('G5Plus_Global')) {
	return;
}
class G5Plus_Global {
	// GET OPTION KEY VALUE
	public static function get_option($key, $default = null) {
		if (isset($GLOBALS['g5plus_megatron_options']) && isset($GLOBALS['g5plus_megatron_options'][$key])) {
			return $GLOBALS['g5plus_megatron_options'][$key];
		}
		return $default;
	}

	public static function &get_options() {
		if (isset($GLOBALS['g5plus_megatron_options']) && is_array($GLOBALS['g5plus_megatron_options'])) {
			return $GLOBALS['g5plus_megatron_options'];
		}
		$GLOBALS['g5plus_megatron_options'] = array();
		return $GLOBALS['g5plus_megatron_options'];
	}

	//GET header layout
	public static function &get_header_layout(){
		if (isset($GLOBALS['g5plus_header_layout'])) {
			return $GLOBALS['g5plus_header_layout'];
		}
		$GLOBALS['g5plus_header_layout'] = 'header-1';
		return $GLOBALS['g5plus_header_layout'];
	}

	// SET header layout
	public static function set_header_layout($value) {
		$GLOBALS['g5plus_header_layout'] = $value;
	}

	// Fonts Icon
	public static function &theme_font_icon() {
		if (isset($GLOBALS['g5plus_theme_icons']) && is_array($GLOBALS['g5plus_theme_icons'])) {
			return $GLOBALS['g5plus_theme_icons'];
		}
		$GLOBALS['g5plus_theme_icons'] = array(
			array('micon icon-adjustments' => 'icon-adjustments'), array('micon icon-alarmclock' => 'icon-alarmclock'), array('micon icon-anchor' => 'icon-anchor'), array('micon icon-aperture' => 'icon-aperture'), array('micon icon-attachments' => 'icon-attachments'), array('micon icon-bargraph' => 'icon-bargraph'), array('micon icon-basket' => 'icon-basket'), array('micon icon-beaker' => 'icon-beaker'), array('micon icon-bike' => 'icon-bike'), array('micon icon-book-open' => 'icon-book-open'), array('micon icon-briefcase' => 'icon-briefcase'), array('micon icon-browser' => 'icon-browser'), array('micon icon-calendar' => 'icon-calendar'), array('micon icon-camera' => 'icon-camera'), array('micon icon-caution' => 'icon-caution'), array('micon icon-chat' => 'icon-chat'), array('micon icon-circle-compass' => 'icon-circle-compass'), array('micon icon-clipboard' => 'icon-clipboard'), array('micon icon-clock' => 'icon-clock'), array('micon icon-cloud' => 'icon-cloud'), array('micon icon-compass' => 'icon-compass'), array('micon icon-desktop' => 'icon-desktop'), array('micon icon-dial' => 'icon-dial'), array('micon icon-document' => 'icon-document'), array('micon icon-documents' => 'icon-documents'), array('micon icon-download' => 'icon-download'), array('micon icon-dribbble' => 'icon-dribbble'), array('micon icon-edit' => 'icon-edit'), array('micon icon-envelope' => 'icon-envelope'), array('micon icon-expand' => 'icon-expand'), array('micon icon-facebook' => 'icon-facebook'), array('micon icon-flag' => 'icon-flag'), array('micon icon-focus' => 'icon-focus'), array('micon icon-gears' => 'icon-gears'), array('micon icon-genius' => 'icon-genius'), array('micon icon-gift' => 'icon-gift'), array('micon icon-global' => 'icon-global'), array('micon icon-globe' => 'icon-globe'), array('micon icon-googleplus' => 'icon-googleplus'), array('micon icon-grid' => 'icon-grid'), array('micon icon-happy' => 'icon-happy'), array('micon icon-hazardous' => 'icon-hazardous'), array('micon icon-heart' => 'icon-heart'), array('micon icon-hotairballoon' => 'icon-hotairballoon'), array('micon icon-hourglass' => 'icon-hourglass'), array('micon icon-key' => 'icon-key'), array('micon icon-laptop' => 'icon-laptop'), array('micon icon-layers' => 'icon-layers'), array('micon icon-lifesaver' => 'icon-lifesaver'), array('micon icon-lightbulb' => 'icon-lightbulb'), array('micon icon-linegraph' => 'icon-linegraph'), array('micon icon-linkedin' => 'icon-linkedin'), array('micon icon-lock' => 'icon-lock'), array('micon icon-magnifying-glass' => 'icon-magnifying-glass'), array('micon icon-map' => 'icon-map'), array('micon icon-map-pin' => 'icon-map-pin'), array('micon icon-megaphone' => 'icon-megaphone'), array('micon icon-mic' => 'icon-mic'), array('micon icon-mobile' => 'icon-mobile'), array('micon icon-newspaper' => 'icon-newspaper'), array('micon icon-notebook' => 'icon-notebook'), array('micon icon-paintbrush' => 'icon-paintbrush'), array('micon icon-paperclip' => 'icon-paperclip'), array('micon icon-pencil' => 'icon-pencil'), array('micon icon-phone' => 'icon-phone'), array('micon icon-picture' => 'icon-picture'), array('micon icon-pictures' => 'icon-pictures'), array('micon icon-piechart' => 'icon-piechart'), array('micon icon-presentation' => 'icon-presentation'), array('micon icon-pricetags' => 'icon-pricetags'), array('micon icon-printer' => 'icon-printer'), array('micon icon-profile-female' => 'icon-profile-female'), array('micon icon-profile-male' => 'icon-profile-male'), array('micon icon-puzzle' => 'icon-puzzle'), array('micon icon-quote' => 'icon-quote'), array('micon icon-recycle' => 'icon-recycle'), array('micon icon-refresh' => 'icon-refresh'), array('micon icon-ribbon' => 'icon-ribbon'), array('micon icon-rss' => 'icon-rss'), array('micon icon-sad' => 'icon-sad'), array('micon icon-scissors' => 'icon-scissors'), array('micon icon-scope' => 'icon-scope'), array('micon icon-search' => 'icon-search'), array('micon icon-shield' => 'icon-shield'), array('micon icon-speedometer' => 'icon-speedometer'), array('micon icon-strategy' => 'icon-strategy'), array('micon icon-streetsign' => 'icon-streetsign'), array('micon icon-tablet' => 'icon-tablet'), array('micon icon-telescope' => 'icon-telescope'), array('micon icon-toolbox' => 'icon-toolbox'), array('micon icon-tools' => 'icon-tools'), array('micon icon-tools-2' => 'icon-tools-2'), array('micon icon-traget' => 'icon-traget'), array('micon icon-trophy' => 'icon-trophy'), array('micon icon-tumblr' => 'icon-tumblr'), array('micon icon-twitter' => 'icon-twitter'), array('micon icon-upload' => 'icon-upload'), array('micon icon-video' => 'icon-video'), array('micon icon-wallet' => 'icon-wallet'), array('micon icon-wine' => 'icon-wine'), array('micon icon-svg-icon-12' => 'icon-svg-icon-12'), array('micon icon-svg-icon-13' => 'icon-svg-icon-13'), array('micon icon-svg-icon-14' => 'icon-svg-icon-14'), array('micon icon-svg-icon-15' => 'icon-svg-icon-15'), array('micon icon-svg-icon-16' => 'icon-svg-icon-16'), array('micon icon-svg-icon-17' => 'icon-svg-icon-17'), array('micon icon-svg-icon-02' => 'icon-svg-icon-02'), array('micon icon-svg-icon-03' => 'icon-svg-icon-03'), array('micon icon-svg-icon-04' => 'icon-svg-icon-04'), array('micon icon-svg-icon-05' => 'icon-svg-icon-05'), array('micon icon-svg-icon-06' => 'icon-svg-icon-06'), array('micon icon-svg-icon-07' => 'icon-svg-icon-07'), array('micon icon-svg-icon-08' => 'icon-svg-icon-08'), array('micon icon-svg-icon-09' => 'icon-svg-icon-09'), array('micon icon-svg-icon-10' => 'icon-svg-icon-10'), array('micon icon-svg-icon-11' => 'icon-svg-icon-11'), array('micon icon-cart-icon' => 'icon-cart-icon'), array('micon icon-185020-macintosh' => 'icon-185020-macintosh'), array('micon icon-185021-bomb-bug' => 'icon-185021-bomb-bug'), array('micon icon-185022-computer-macintosh-vintage' => 'icon-185022-computer-macintosh-vintage'), array('micon icon-185023-computer-imac' => 'icon-185023-computer-imac'), array('micon icon-185024-computer-imac' => 'icon-185024-computer-imac'), array('micon icon-185025-ibook-laptop' => 'icon-185025-ibook-laptop'), array('micon icon-185026-laptop-macbook-streamline' => 'icon-185026-laptop-macbook-streamline'), array('micon icon-185027-computer-network-streamline' => 'icon-185027-computer-network-streamline'), array('micon icon-185028-iphone-streamline' => 'icon-185028-iphone-streamline'), array('micon icon-185029-ipod-streamline' => 'icon-185029-ipod-streamline'), array('micon icon-185030-cook-pan-pot-streamline' => 'icon-185030-cook-pan-pot-streamline'), array('micon icon-185031-shoes-snickers-streamline' => 'icon-185031-shoes-snickers-streamline'), array('micon icon-185032-ipad-streamline' => 'icon-185032-ipad-streamline'), array('micon icon-185033-ipod-music-streamline' => 'icon-185033-ipod-music-streamline'), array('micon icon-185034-ipod-mini-music-streamline' => 'icon-185034-ipod-mini-music-streamline'), array('micon icon-185035-computer-streamline' => 'icon-185035-computer-streamline'), array('micon icon-185036-remote-control-streamline' => 'icon-185036-remote-control-streamline'), array('micon icon-185037-browser-streamline-window' => 'icon-185037-browser-streamline-window'), array('micon icon-185038-home-house-streamline' => 'icon-185038-home-house-streamline'), array('micon icon-185039-earth-globe-streamline' => 'icon-185039-earth-globe-streamline'), array('micon icon-185040-map-pin-streamline' => 'icon-185040-map-pin-streamline'), array('micon icon-185041-arrow-streamline-target' => 'icon-185041-arrow-streamline-target'), array('micon icon-185042-edit-modify-streamline' => 'icon-185042-edit-modify-streamline'), array('micon icon-185043-ink-pen-streamline' => 'icon-185043-ink-pen-streamline'), array('micon icon-185044-pen-streamline' => 'icon-185044-pen-streamline'), array('micon icon-185045-pen-streamline' => 'icon-185045-pen-streamline'), array('micon icon-185046-design-graphic-tablet-streamline-tablet' => 'icon-185046-design-graphic-tablet-streamline-tablet'), array('micon icon-185047-pen-streamline' => 'icon-185047-pen-streamline'), array('micon icon-185048-pen-streamline' => 'icon-185048-pen-streamline'), array('micon icon-185049-design-pencil-rule-streamline' => 'icon-185049-design-pencil-rule-streamline'), array('micon icon-185050-eye-dropper-streamline' => 'icon-185050-eye-dropper-streamline'), array('micon icon-185051-crop-streamline' => 'icon-185051-crop-streamline'), array('micon icon-185052-paint-bucket-streamline' => 'icon-185052-paint-bucket-streamline'), array('micon icon-185053-brush-paint-streamline' => 'icon-185053-brush-paint-streamline'), array('micon icon-185054-painting-roll-streamline' => 'icon-185054-painting-roll-streamline'), array('micon icon-185055-painting-pallet-streamline' => 'icon-185055-painting-pallet-streamline'), array('micon icon-185056-stamp-streamline' => 'icon-185056-stamp-streamline'), array('micon icon-185057-magic-magic-wand-streamline' => 'icon-185057-magic-magic-wand-streamline'), array('micon icon-185058-grid-lines-streamline' => 'icon-185058-grid-lines-streamline'), array('micon icon-185059-handle-streamline-vector' => 'icon-185059-handle-streamline-vector'), array('micon icon-185060-magnet-streamline' => 'icon-185060-magnet-streamline'), array('micon icon-185061-photo-pictures-streamline' => 'icon-185061-photo-pictures-streamline'), array('micon icon-185062-camera-photo-streamline' => 'icon-185062-camera-photo-streamline'), array('micon icon-185063-camera-photo-polaroid-streamline' => 'icon-185063-camera-photo-polaroid-streamline'), array('micon icon-185064-picture-streamline' => 'icon-185064-picture-streamline'), array('micon icon-185065-frame-picture-streamline' => 'icon-185065-frame-picture-streamline'), array('micon icon-185066-picture-streamline' => 'icon-185066-picture-streamline'), array('micon icon-185067-camera-streamline-video' => 'icon-185067-camera-streamline-video'), array('micon icon-185068-music-note-streamline' => 'icon-185068-music-note-streamline'), array('micon icon-185069-headset-sound-streamline' => 'icon-185069-headset-sound-streamline'), array('micon icon-185070-micro-record-streamline' => 'icon-185070-micro-record-streamline'), array('micon icon-185071-music-speaker-streamline' => 'icon-185071-music-speaker-streamline'), array('micon icon-185072-book-read-streamline' => 'icon-185072-book-read-streamline'), array('micon icon-185073-book-dowload-streamline' => 'icon-185073-book-dowload-streamline'), array('micon icon-185074-notebook-streamline' => 'icon-185074-notebook-streamline'), array('micon icon-185075-envellope-mail-streamline' => 'icon-185075-envellope-mail-streamline'), array('micon icon-185076-streamline-suitcase-travel' => 'icon-185076-streamline-suitcase-travel'), array('micon icon-185077-first-aid-medecine-shield-streamline' => 'icon-185077-first-aid-medecine-shield-streamline'), array('micon icon-185078-email-mail-streamline' => 'icon-185078-email-mail-streamline'), array('micon icon-185079-bubble-comment-streamline-talk' => 'icon-185079-bubble-comment-streamline-talk'), array('micon icon-185080-bubble-love-streamline-talk' => 'icon-185080-bubble-love-streamline-talk'), array('micon icon-185081-speech-streamline-talk-user' => 'icon-185081-speech-streamline-talk-user'), array('micon icon-185082-man-people-streamline-user' => 'icon-185082-man-people-streamline-user'), array('micon icon-185083-like-love-streamline' => 'icon-185083-like-love-streamline'), array('micon icon-185084-crown-king-streamline' => 'icon-185084-crown-king-streamline'), array('micon icon-185085-happy-smiley-streamline' => 'icon-185085-happy-smiley-streamline'), array('micon icon-185086-map-streamline-user' => 'icon-185086-map-streamline-user'), array('micon icon-185087-link-streamline' => 'icon-185087-link-streamline'), array('micon icon-185088-lock-locker-streamline' => 'icon-185088-lock-locker-streamline'), array('micon icon-185089-locker-streamline-unlock' => 'icon-185089-locker-streamline-unlock'), array('micon icon-185090-delete-garbage-streamline' => 'icon-185090-delete-garbage-streamline'), array('micon icon-185091-danger-death-delete-destroy-skull-streamline' => 'icon-185091-danger-death-delete-destroy-skull-streamline'), array('micon icon-185092-clock-streamline-time' => 'icon-185092-clock-streamline-time'), array('micon icon-185093-dashboard-speed-streamline' => 'icon-185093-dashboard-speed-streamline'), array('micon icon-185094-settings-streamline' => 'icon-185094-settings-streamline'), array('micon icon-185095-settings-streamline' => 'icon-185095-settings-streamline'), array('micon icon-185096-settings-streamline' => 'icon-185096-settings-streamline'), array('micon icon-185097-database-streamline' => 'icon-185097-database-streamline'), array('micon icon-185098-streamline-sync' => 'icon-185098-streamline-sync'), array('micon icon-185099-factory-lift-streamline-warehouse' => 'icon-185099-factory-lift-streamline-warehouse'), array('micon icon-185100-caddie-shop-shopping-streamline' => 'icon-185100-caddie-shop-shopping-streamline'), array('micon icon-185101-caddie-shopping-streamline' => 'icon-185101-caddie-shopping-streamline'), array('micon icon-185102-receipt-shopping-streamline' => 'icon-185102-receipt-shopping-streamline'), array('micon icon-185103-bag-shopping-streamline' => 'icon-185103-bag-shopping-streamline'), array('micon icon-185104-streamline-umbrella-weather' => 'icon-185104-streamline-umbrella-weather'), array('micon icon-185105-drug-medecine-streamline-syringue' => 'icon-185105-drug-medecine-streamline-syringue'), array('micon icon-185106-armchair-chair-streamline' => 'icon-185106-armchair-chair-streamline'), array('micon icon-185107-backpack-streamline-trekking' => 'icon-185107-backpack-streamline-trekking'), array('micon icon-185108-chaplin-hat-movie-streamline' => 'icon-185108-chaplin-hat-movie-streamline'), array('micon icon-185109-cocktail-mojito-streamline' => 'icon-185109-cocktail-mojito-streamline'), array('micon icon-185110-diving-leisure-sea-sport-streamline' => 'icon-185110-diving-leisure-sea-sport-streamline'), array('micon icon-185111-monocle-mustache-streamline' => 'icon-185111-monocle-mustache-streamline'), array('micon icon-185112-barista-coffee-espresso-streamline' => 'icon-185112-barista-coffee-espresso-streamline'), array('micon icon-185113-coffee-streamline' => 'icon-185113-coffee-streamline'), array('micon icon-185114-chef-food-restaurant-streamline' => 'icon-185114-chef-food-restaurant-streamline'), array('micon icon-185115-barbecue-eat-food-streamline' => 'icon-185115-barbecue-eat-food-streamline'), array('micon icon-185116-eat-food-hotdog-streamline' => 'icon-185116-eat-food-hotdog-streamline'), array('micon icon-185117-food-ice-cream-streamline' => 'icon-185117-food-ice-cream-streamline'), array('micon icon-185118-japan-streamline-tea' => 'icon-185118-japan-streamline-tea'), array('micon icon-185119-eat-food-fork-knife-streamline' => 'icon-185119-eat-food-fork-knife-streamline'), array('micon icon-list23' => 'icon-list23'), array('micon icon-wrong6' => 'icon-wrong6'), array('micon icon-list23-1' => 'icon-list23-1'), array('micon icon-menu27' => 'icon-menu27'), array('micon icon-menu45' => 'icon-menu45'), array('micon icon-menu53' => 'icon-menu53'), array('micon icon-menu55' => 'icon-menu55'), array('micon icon-play38' => 'icon-play38'), array('micon icon-next15' => 'icon-next15'), array('micon icon-previous11' => 'icon-previous11'), array('micon icon-wrong6-1' => 'icon-wrong6-1'), array('micon icon-right106' => 'icon-right106'), array('micon icon-thin35' => 'icon-thin35'), array('micon icon-up77' => 'icon-up77'), array('micon icon-thin36' => 'icon-thin36'), array('micon icon-expand22' => 'icon-expand22'), array('micon icon-collapse3' => 'icon-collapse3'), array('micon icon-wrong6-2' => 'icon-wrong6-2'), array('micon icon-address' => 'icon-address'), array('micon icon-adjust' => 'icon-adjust'), array('micon icon-air' => 'icon-air'), array('micon icon-alert' => 'icon-alert'), array('micon icon-archive' => 'icon-archive'), array('micon icon-arrow-combo' => 'icon-arrow-combo'), array('micon icon-arrows-ccw' => 'icon-arrows-ccw'), array('micon icon-attach' => 'icon-attach'), array('micon icon-attention' => 'icon-attention'), array('micon icon-back' => 'icon-back'), array('micon icon-back-in-time' => 'icon-back-in-time'), array('micon icon-bag' => 'icon-bag'), array('micon icon-basket-1' => 'icon-basket-1'), array('micon icon-battery' => 'icon-battery'), array('micon icon-behance' => 'icon-behance'), array('micon icon-bell' => 'icon-bell'), array('micon icon-block' => 'icon-block'), array('micon icon-book' => 'icon-book'), array('micon icon-book-open-1' => 'icon-book-open-1'), array('micon icon-bookmark' => 'icon-bookmark'), array('micon icon-bookmarks' => 'icon-bookmarks'), array('micon icon-box' => 'icon-box'), array('micon icon-briefcase-1' => 'icon-briefcase-1'), array('micon icon-brush' => 'icon-brush'), array('micon icon-bucket' => 'icon-bucket'), array('micon icon-calendar-1' => 'icon-calendar-1'), array('micon icon-camera-1' => 'icon-camera-1'), array('micon icon-cancel' => 'icon-cancel'), array('micon icon-cancel-circled' => 'icon-cancel-circled'), array('micon icon-cancel-squared' => 'icon-cancel-squared'), array('micon icon-cc' => 'icon-cc'), array('micon icon-cc-by' => 'icon-cc-by'), array('micon icon-cc-nc' => 'icon-cc-nc'), array('micon icon-cc-nc-eu' => 'icon-cc-nc-eu'), array('micon icon-cc-nc-jp' => 'icon-cc-nc-jp'), array('micon icon-cc-nd' => 'icon-cc-nd'), array('micon icon-cc-pd' => 'icon-cc-pd'), array('micon icon-cc-remix' => 'icon-cc-remix'), array('micon icon-cc-sa' => 'icon-cc-sa'), array('micon icon-cc-share' => 'icon-cc-share'), array('micon icon-cc-zero' => 'icon-cc-zero'), array('micon icon-ccw' => 'icon-ccw'), array('micon icon-cd' => 'icon-cd'), array('micon icon-chart-area' => 'icon-chart-area'), array('micon icon-chart-bar' => 'icon-chart-bar'), array('micon icon-chart-line' => 'icon-chart-line'), array('micon icon-chart-pie' => 'icon-chart-pie'), array('micon icon-chat-1' => 'icon-chat-1'), array('micon icon-check' => 'icon-check'), array('micon icon-clipboard-1' => 'icon-clipboard-1'), array('micon icon-clock-1' => 'icon-clock-1'), array('micon icon-cloud-1' => 'icon-cloud-1'), array('micon icon-cloud-thunder' => 'icon-cloud-thunder'), array('micon icon-code' => 'icon-code'), array('micon icon-cog' => 'icon-cog'), array('micon icon-comment' => 'icon-comment'), array('micon icon-compass-1' => 'icon-compass-1'), array('micon icon-credit-card' => 'icon-credit-card'), array('micon icon-cup' => 'icon-cup'), array('micon icon-cw' => 'icon-cw'), array('micon icon-database' => 'icon-database'), array('micon icon-db-shape' => 'icon-db-shape'), array('micon icon-direction' => 'icon-direction'), array('micon icon-doc' => 'icon-doc'), array('micon icon-doc-landscape' => 'icon-doc-landscape'), array('micon icon-doc-text' => 'icon-doc-text'), array('micon icon-doc-text-inv' => 'icon-doc-text-inv'), array('micon icon-docs' => 'icon-docs'), array('micon icon-dot' => 'icon-dot'), array('micon icon-dot-2' => 'icon-dot-2'), array('micon icon-dot-3' => 'icon-dot-3'), array('micon icon-down' => 'icon-down'), array('micon icon-down-bold' => 'icon-down-bold'), array('micon icon-down-circled' => 'icon-down-circled'), array('micon icon-down-dir' => 'icon-down-dir'), array('micon icon-down-open' => 'icon-down-open'), array('micon icon-down-open-big' => 'icon-down-open-big'), array('micon icon-down-open-mini' => 'icon-down-open-mini'), array('micon icon-down-thin' => 'icon-down-thin'), array('micon icon-download-1' => 'icon-download-1'), array('micon icon-dribbble-1' => 'icon-dribbble-1'), array('micon icon-dribbble-circled' => 'icon-dribbble-circled'), array('micon icon-drive' => 'icon-drive'), array('micon icon-dropbox' => 'icon-dropbox'), array('micon icon-droplet' => 'icon-droplet'), array('micon icon-erase' => 'icon-erase'), array('micon icon-evernote' => 'icon-evernote'), array('micon icon-export' => 'icon-export'), array('micon icon-eye' => 'icon-eye'), array('micon icon-facebook-1' => 'icon-facebook-1'), array('micon icon-facebook-circled' => 'icon-facebook-circled'), array('micon icon-facebook-squared' => 'icon-facebook-squared'), array('micon icon-fast-backward' => 'icon-fast-backward'), array('micon icon-fast-forward' => 'icon-fast-forward'), array('micon icon-feather' => 'icon-feather'), array('micon icon-flag-1' => 'icon-flag-1'), array('micon icon-flash' => 'icon-flash'), array('micon icon-flashlight' => 'icon-flashlight'), array('micon icon-flattr' => 'icon-flattr'), array('micon icon-flickr' => 'icon-flickr'), array('micon icon-flickr-circled' => 'icon-flickr-circled'), array('micon icon-flight' => 'icon-flight'), array('micon icon-floppy' => 'icon-floppy'), array('micon icon-flow-branch' => 'icon-flow-branch'), array('micon icon-flow-cascade' => 'icon-flow-cascade'), array('micon icon-flow-line' => 'icon-flow-line'), array('micon icon-flow-parallel' => 'icon-flow-parallel'), array('micon icon-flow-tree' => 'icon-flow-tree'), array('micon icon-folder' => 'icon-folder'), array('micon icon-forward' => 'icon-forward'), array('micon icon-gauge' => 'icon-gauge'), array('micon icon-github' => 'icon-github'), array('micon icon-github-circled' => 'icon-github-circled'), array('micon icon-globe-1' => 'icon-globe-1'), array('micon icon-google-circles' => 'icon-google-circles'), array('micon icon-gplus' => 'icon-gplus'), array('micon icon-gplus-circled' => 'icon-gplus-circled'), array('micon icon-graduation-cap' => 'icon-graduation-cap'), array('micon icon-heart-1' => 'icon-heart-1'), array('micon icon-heart-empty' => 'icon-heart-empty'), array('micon icon-help' => 'icon-help'), array('micon icon-help-circled' => 'icon-help-circled'), array('micon icon-home' => 'icon-home'), array('micon icon-hourglass-1' => 'icon-hourglass-1'), array('micon icon-inbox' => 'icon-inbox'), array('micon icon-infinity' => 'icon-infinity'), array('micon icon-info' => 'icon-info'), array('micon icon-info-circled' => 'icon-info-circled'), array('micon icon-instagrem' => 'icon-instagrem'), array('micon icon-install' => 'icon-install'), array('micon icon-key-1' => 'icon-key-1'), array('micon icon-keyboard' => 'icon-keyboard'), array('micon icon-lamp' => 'icon-lamp'), array('micon icon-language' => 'icon-language'), array('micon icon-lastfm' => 'icon-lastfm'), array('micon icon-lastfm-circled' => 'icon-lastfm-circled'), array('micon icon-layout' => 'icon-layout'), array('micon icon-leaf' => 'icon-leaf'), array('micon icon-left' => 'icon-left'), array('micon icon-left-bold' => 'icon-left-bold'), array('micon icon-left-circled' => 'icon-left-circled'), array('micon icon-left-dir' => 'icon-left-dir'), array('micon icon-left-open' => 'icon-left-open'), array('micon icon-left-open-big' => 'icon-left-open-big'), array('micon icon-left-open-mini' => 'icon-left-open-mini'), array('micon icon-left-thin' => 'icon-left-thin'), array('micon icon-level-down' => 'icon-level-down'), array('micon icon-level-up' => 'icon-level-up'), array('micon icon-lifebuoy' => 'icon-lifebuoy'), array('micon icon-light-down' => 'icon-light-down'), array('micon icon-light-up' => 'icon-light-up'), array('micon icon-link' => 'icon-link'), array('micon icon-linkedin-1' => 'icon-linkedin-1'), array('micon icon-linkedin-circled' => 'icon-linkedin-circled'), array('micon icon-list' => 'icon-list'), array('micon icon-list-add' => 'icon-list-add'), array('micon icon-location' => 'icon-location'), array('micon icon-lock-1' => 'icon-lock-1'), array('micon icon-lock-open' => 'icon-lock-open'), array('micon icon-login' => 'icon-login'), array('micon icon-logo-db' => 'icon-logo-db'), array('micon icon-logout' => 'icon-logout'), array('micon icon-loop' => 'icon-loop'), array('micon icon-magnet' => 'icon-magnet'), array('micon icon-mail' => 'icon-mail'), array('micon icon-map-1' => 'icon-map-1'), array('micon icon-megaphone-1' => 'icon-megaphone-1'), array('micon icon-menu' => 'icon-menu'), array('micon icon-mic-1' => 'icon-mic-1'), array('micon icon-minus' => 'icon-minus'), array('micon icon-minus-circled' => 'icon-minus-circled'), array('micon icon-minus-squared' => 'icon-minus-squared'), array('micon icon-mixi' => 'icon-mixi'), array('micon icon-mobile-1' => 'icon-mobile-1'), array('micon icon-monitor' => 'icon-monitor'), array('micon icon-moon' => 'icon-moon'), array('micon icon-mouse' => 'icon-mouse'), array('micon icon-music' => 'icon-music'), array('micon icon-mute' => 'icon-mute'), array('micon icon-network' => 'icon-network'), array('micon icon-newspaper-1' => 'icon-newspaper-1'), array('micon icon-note' => 'icon-note'), array('micon icon-note-beamed' => 'icon-note-beamed'), array('micon icon-palette' => 'icon-palette'), array('micon icon-paper-plane' => 'icon-paper-plane'), array('micon icon-pause' => 'icon-pause'), array('micon icon-paypal' => 'icon-paypal'), array('micon icon-pencil-1' => 'icon-pencil-1'), array('micon icon-phone-1' => 'icon-phone-1'), array('micon icon-picasa' => 'icon-picasa'), array('micon icon-picture-1' => 'icon-picture-1'), array('micon icon-pinterest' => 'icon-pinterest'), array('micon icon-pinterest-circled' => 'icon-pinterest-circled'), array('micon icon-play' => 'icon-play'), array('micon icon-plus' => 'icon-plus'), array('micon icon-plus-circled' => 'icon-plus-circled'), array('micon icon-plus-squared' => 'icon-plus-squared'), array('micon icon-popup' => 'icon-popup'), array('micon icon-print' => 'icon-print'), array('micon icon-progress-0' => 'icon-progress-0'), array('micon icon-progress-1' => 'icon-progress-1'), array('micon icon-progress-2' => 'icon-progress-2'), array('micon icon-progress-3' => 'icon-progress-3'), array('micon icon-publish' => 'icon-publish'), array('micon icon-qq' => 'icon-qq'), array('micon icon-quote-1' => 'icon-quote-1'), array('micon icon-rdio' => 'icon-rdio'), array('micon icon-rdio-circled' => 'icon-rdio-circled'), array('micon icon-record' => 'icon-record'), array('micon icon-renren' => 'icon-renren'), array('micon icon-reply' => 'icon-reply'), array('micon icon-reply-all' => 'icon-reply-all'), array('micon icon-resize-full' => 'icon-resize-full'), array('micon icon-resize-small' => 'icon-resize-small'), array('micon icon-retweet' => 'icon-retweet'), array('micon icon-right' => 'icon-right'), array('micon icon-right-bold' => 'icon-right-bold'), array('micon icon-right-circled' => 'icon-right-circled'), array('micon icon-right-dir' => 'icon-right-dir'), array('micon icon-right-open' => 'icon-right-open'), array('micon icon-right-open-big' => 'icon-right-open-big'), array('micon icon-right-open-mini' => 'icon-right-open-mini'), array('micon icon-right-thin' => 'icon-right-thin'), array('micon icon-rocket' => 'icon-rocket'), array('micon icon-rss-1' => 'icon-rss-1'), array('micon icon-search-1' => 'icon-search-1'), array('micon icon-share' => 'icon-share'), array('micon icon-shareable' => 'icon-shareable'), array('micon icon-shuffle' => 'icon-shuffle'), array('micon icon-signal' => 'icon-signal'), array('micon icon-sina-weibo' => 'icon-sina-weibo'), array('micon icon-skype' => 'icon-skype'), array('micon icon-skype-circled' => 'icon-skype-circled'), array('micon icon-smashing' => 'icon-smashing'), array('micon icon-sound' => 'icon-sound'), array('micon icon-soundcloud' => 'icon-soundcloud'), array('micon icon-spotify' => 'icon-spotify'), array('micon icon-spotify-circled' => 'icon-spotify-circled'), array('micon icon-star' => 'icon-star'), array('micon icon-star-empty' => 'icon-star-empty'), array('micon icon-stop' => 'icon-stop'), array('micon icon-stumbleupon' => 'icon-stumbleupon'), array('micon icon-stumbleupon-circled' => 'icon-stumbleupon-circled'), array('micon icon-suitcase' => 'icon-suitcase'), array('micon icon-sweden' => 'icon-sweden'), array('micon icon-switch' => 'icon-switch'), array('micon icon-tag' => 'icon-tag'), array('micon icon-tape' => 'icon-tape'), array('micon icon-target' => 'icon-target'), array('micon icon-thermometer' => 'icon-thermometer'), array('micon icon-thumbs-down' => 'icon-thumbs-down'), array('micon icon-thumbs-up' => 'icon-thumbs-up'), array('micon icon-ticket' => 'icon-ticket'), array('micon icon-to-end' => 'icon-to-end'), array('micon icon-to-start' => 'icon-to-start'), array('micon icon-tools-1' => 'icon-tools-1'), array('micon icon-traffic-cone' => 'icon-traffic-cone'), array('micon icon-trash' => 'icon-trash'), array('micon icon-trophy-1' => 'icon-trophy-1'), array('micon icon-tumblr-1' => 'icon-tumblr-1'), array('micon icon-tumblr-circled' => 'icon-tumblr-circled'), array('micon icon-twitter-1' => 'icon-twitter-1'), array('micon icon-twitter-circled' => 'icon-twitter-circled'), array('micon icon-up' => 'icon-up'), array('micon icon-up-bold' => 'icon-up-bold'), array('micon icon-up-circled' => 'icon-up-circled'), array('micon icon-up-dir' => 'icon-up-dir'), array('micon icon-up-open' => 'icon-up-open'), array('micon icon-up-open-big' => 'icon-up-open-big'), array('micon icon-up-open-mini' => 'icon-up-open-mini'), array('micon icon-up-thin' => 'icon-up-thin'), array('micon icon-upload-1' => 'icon-upload-1'), array('micon icon-upload-cloud' => 'icon-upload-cloud'), array('micon icon-user' => 'icon-user'), array('micon icon-user-add' => 'icon-user-add'), array('micon icon-users' => 'icon-users'), array('micon icon-vcard' => 'icon-vcard'), array('micon icon-video-1' => 'icon-video-1'), array('micon icon-vimeo' => 'icon-vimeo'), array('micon icon-vimeo-circled' => 'icon-vimeo-circled'), array('micon icon-vkontakte' => 'icon-vkontakte'), array('micon icon-volume' => 'icon-volume'), array('micon icon-water' => 'icon-water'), array('micon icon-window' => 'icon-window'), array('micon icon-downarrows10' => 'icon-downarrows10'), array('micon icon-right127' => 'icon-right127'), array('micon icon-rightarrow59' => 'icon-rightarrow59'), array('micon icon-uparrows15' => 'icon-uparrows15'), array('micon icon-leftarrow59' => 'icon-leftarrow59'), array('micon icon-back28' => 'icon-back28'), array('micon icon-megatron-logo' => 'icon-megatron-logo'), array('micon icon-warning45' => 'icon-warning45'), array('micon icon-shopping111' => 'icon-shopping111'), array('micon icon-search-icon' => 'icon-search-icon'), array('micon icon-minus-1' => 'icon-minus-1'), array('micon icon-plus-1' => 'icon-plus-1'), array('micon icon-play43-1' => 'icon-play43-1'), array('micon icon-cancel30' => 'icon-cancel30'), array('micon icon-close47' => 'icon-close47'), array('micon icon-accepted' => 'icon-accepted'), array('micon icon-email20' => 'icon-email20'), array('micon icon-key21' => 'icon-key21'), array('micon icon-lock63' => 'icon-lock63'), array('micon icon-password1' => 'icon-password1'), array('micon icon-magnifying-glass34' => 'icon-magnifying-glass34'), array('micon icon-mouse61-1' => 'icon-mouse61-1'), array('micon icon-calentar' => 'icon-calentar'), array('micon icon-drug4' => 'icon-drug4'), array('micon icon-hospital36' => 'icon-hospital36'), array('micon icon-hostpital' => 'icon-hostpital'), array('micon icon-phone64' => 'icon-phone64'), array('micon icon-shutterstock-166641992-converted' => 'icon-shutterstock-166641992-converted'), array('micon icon-shutterstock-166641992-converted-1' => 'icon-shutterstock-166641992-converted-1'), array('micon icon-shutterstock-166641992-converted-2' => 'icon-shutterstock-166641992-converted-2'), array('micon icon-shutterstock-166641992-converted-3' => 'icon-shutterstock-166641992-converted-3'), array('micon icon-shutterstock-166641992-converted-4' => 'icon-shutterstock-166641992-converted-4'), array('micon icon-shutterstock-166641992-converted-5' => 'icon-shutterstock-166641992-converted-5'), array('micon icon-shutterstock-166641992-converted-6' => 'icon-shutterstock-166641992-converted-6'), array('micon icon-shutterstock-166641992-converted-7' => 'icon-shutterstock-166641992-converted-7'), array('micon icon-shutterstock-166641992-converted-8' => 'icon-shutterstock-166641992-converted-8'), array('micon icon-shutterstock-166641992-converted-9' => 'icon-shutterstock-166641992-converted-9'), array('micon icon-shutterstock-166641992-converted-10' => 'icon-shutterstock-166641992-converted-10'), array('micon icon-shutterstock-166641992-converted-11' => 'icon-shutterstock-166641992-converted-11'), array('micon icon-shutterstock-166641992-converted-12' => 'icon-shutterstock-166641992-converted-12'), array('micon icon-shutterstock-166641992-converted-13' => 'icon-shutterstock-166641992-converted-13'), array('micon icon-shutterstock-166641992-converted-14' => 'icon-shutterstock-166641992-converted-14'), array('micon icon-shutterstock-166641992-converted-15' => 'icon-shutterstock-166641992-converted-15'), array('micon icon-shutterstock-166641992-converted-16' => 'icon-shutterstock-166641992-converted-16'), array('micon icon-shutterstock-166641992-converted-17' => 'icon-shutterstock-166641992-converted-17'), array('micon icon-shutterstock-166641992-converted-18' => 'icon-shutterstock-166641992-converted-18'), array('micon icon-shutterstock-166641992-converted-19' => 'icon-shutterstock-166641992-converted-19'), array('micon icon-shutterstock-166641992-converted-20' => 'icon-shutterstock-166641992-converted-20'), array('micon icon-shutterstock-166641992-converted-21' => 'icon-shutterstock-166641992-converted-21'), array('micon icon-shutterstock-166641992-converted-22' => 'icon-shutterstock-166641992-converted-22'), array('micon icon-shutterstock-166641992-converted-23' => 'icon-shutterstock-166641992-converted-23'), array('micon icon-shutterstock-166641992-converted-24' => 'icon-shutterstock-166641992-converted-24'), array('micon icon-shutterstock-166641992-converted-25' => 'icon-shutterstock-166641992-converted-25'), array('micon icon-shutterstock-166641992-converted-26' => 'icon-shutterstock-166641992-converted-26'), array('micon icon-shutterstock-166641992-converted-27' => 'icon-shutterstock-166641992-converted-27'), array('micon icon-shutterstock-166641992-converted-28' => 'icon-shutterstock-166641992-converted-28'), array('micon icon-shutterstock-166641992-converted-29' => 'icon-shutterstock-166641992-converted-29'), array('micon icon-shutterstock-166641992-converted-30' => 'icon-shutterstock-166641992-converted-30'), array('micon icon-shutterstock-166641992-converted-31' => 'icon-shutterstock-166641992-converted-31'), array('micon icon-shutterstock-166641992-converted-32' => 'icon-shutterstock-166641992-converted-32'), array('micon icon-shutterstock-166641992-converted-33' => 'icon-shutterstock-166641992-converted-33'), array('micon icon-shutterstock-166641992-converted-34' => 'icon-shutterstock-166641992-converted-34'), array('micon icon-shutterstock-166641992-converted-35' => 'icon-shutterstock-166641992-converted-35'), array('micon icon-shutterstock-166641992-converted-36' => 'icon-shutterstock-166641992-converted-36'), array('micon icon-shutterstock-166641992-converted-37' => 'icon-shutterstock-166641992-converted-37'), array('micon icon-shutterstock-166641992-converted-38' => 'icon-shutterstock-166641992-converted-38'), array('micon icon-shutterstock-166641992-converted-39' => 'icon-shutterstock-166641992-converted-39'), array('micon icon-shutterstock-166641992-converted-40' => 'icon-shutterstock-166641992-converted-40'), array('micon icon-shutterstock-166641992-converted-41' => 'icon-shutterstock-166641992-converted-41'), array('micon icon-shutterstock-166641992-converted-42' => 'icon-shutterstock-166641992-converted-42'), array('micon icon-shutterstock-166641992-converted-43' => 'icon-shutterstock-166641992-converted-43'), array('micon icon-shutterstock-166641992-converted-44' => 'icon-shutterstock-166641992-converted-44'), array('micon icon-shutterstock-166641992-converted-45' => 'icon-shutterstock-166641992-converted-45'), array('micon icon-shutterstock-166641992-converted-46' => 'icon-shutterstock-166641992-converted-46'), array('micon icon-shutterstock-166641992-converted-47' => 'icon-shutterstock-166641992-converted-47'), array('micon icon-shutterstock-166641992-converted-48' => 'icon-shutterstock-166641992-converted-48'), array('micon icon-shutterstock-166641992-converted-49' => 'icon-shutterstock-166641992-converted-49'), array('micon icon-shutterstock-166641992-converted-50' => 'icon-shutterstock-166641992-converted-50'), array('micon icon-shutterstock-166641992-converted-51' => 'icon-shutterstock-166641992-converted-51'), array('micon icon-shutterstock-166641992-converted-52' => 'icon-shutterstock-166641992-converted-52'), array('micon icon-shutterstock-166641992-converted-53' => 'icon-shutterstock-166641992-converted-53'), array('micon icon-shutterstock-166641992-converted-54' => 'icon-shutterstock-166641992-converted-54'), array('micon icon-shutterstock-166641992-converted-55' => 'icon-shutterstock-166641992-converted-55'), array('micon icon-shutterstock-166641992-converted-56' => 'icon-shutterstock-166641992-converted-56'), array('micon icon-shutterstock-166641992-converted-57' => 'icon-shutterstock-166641992-converted-57'), array('micon icon-shutterstock-166641992-converted-58' => 'icon-shutterstock-166641992-converted-58'), array('micon icon-shutterstock-166641992-converted-59' => 'icon-shutterstock-166641992-converted-59'), array('micon icon-shutterstock-166641992-converted-60' => 'icon-shutterstock-166641992-converted-60')
		);
		return $GLOBALS['g5plus_theme_icons'];
	}
	// Fonts Awesome
	public static function &font_awesome() {
		if (isset($GLOBALS['g5plus_font_awesome']) && is_array($GLOBALS['g5plus_font_awesome'])) {
			return $GLOBALS['g5plus_font_awesome'];
		}
		$GLOBALS['g5plus_font_awesome'] = array(array('fa fa-500px' => 'fa-500px'),array('fa fa-adjust' => 'fa-adjust'),array('fa fa-adn' => 'fa-adn'),array('fa fa-align-center' => 'fa-align-center'),array('fa fa-align-justify' => 'fa-align-justify'),array('fa fa-align-left' => 'fa-align-left'),array('fa fa-align-right' => 'fa-align-right'),array('fa fa-amazon' => 'fa-amazon'),array('fa fa-ambulance' => 'fa-ambulance'),array('fa fa-anchor' => 'fa-anchor'),array('fa fa-android' => 'fa-android'),array('fa fa-angellist' => 'fa-angellist'),array('fa fa-angle-double-down' => 'fa-angle-double-down'),array('fa fa-angle-double-left' => 'fa-angle-double-left'),array('fa fa-angle-double-right' => 'fa-angle-double-right'),array('fa fa-angle-double-up' => 'fa-angle-double-up'),array('fa fa-angle-down' => 'fa-angle-down'),array('fa fa-angle-left' => 'fa-angle-left'),array('fa fa-angle-right' => 'fa-angle-right'),array('fa fa-angle-up' => 'fa-angle-up'),array('fa fa-apple' => 'fa-apple'),array('fa fa-archive' => 'fa-archive'),array('fa fa-area-chart' => 'fa-area-chart'),array('fa fa-arrow-circle-down' => 'fa-arrow-circle-down'),array('fa fa-arrow-circle-left' => 'fa-arrow-circle-left'),array('fa fa-arrow-circle-o-down' => 'fa-arrow-circle-o-down'),array('fa fa-arrow-circle-o-left' => 'fa-arrow-circle-o-left'),array('fa fa-arrow-circle-o-right' => 'fa-arrow-circle-o-right'),array('fa fa-arrow-circle-o-up' => 'fa-arrow-circle-o-up'),array('fa fa-arrow-circle-right' => 'fa-arrow-circle-right'),array('fa fa-arrow-circle-up' => 'fa-arrow-circle-up'),array('fa fa-arrow-down' => 'fa-arrow-down'),array('fa fa-arrow-left' => 'fa-arrow-left'),array('fa fa-arrow-right' => 'fa-arrow-right'),array('fa fa-arrow-up' => 'fa-arrow-up'),array('fa fa-arrows' => 'fa-arrows'),array('fa fa-arrows-alt' => 'fa-arrows-alt'),array('fa fa-arrows-h' => 'fa-arrows-h'),array('fa fa-arrows-v' => 'fa-arrows-v'),array('fa fa-asterisk' => 'fa-asterisk'),array('fa fa-at' => 'fa-at'),array('fa fa-automobile' => 'fa-automobile'),array('fa fa-backward' => 'fa-backward'),array('fa fa-balance-scale' => 'fa-balance-scale'),array('fa fa-ban' => 'fa-ban'),array('fa fa-bank' => 'fa-bank'),array('fa fa-bar-chart' => 'fa-bar-chart'),array('fa fa-bar-chart-o' => 'fa-bar-chart-o'),array('fa fa-barcode' => 'fa-barcode'),array('fa fa-bars' => 'fa-bars'),array('fa fa-battery-0' => 'fa-battery-0'),array('fa fa-battery-1' => 'fa-battery-1'),array('fa fa-battery-2' => 'fa-battery-2'),array('fa fa-battery-3' => 'fa-battery-3'),array('fa fa-battery-4' => 'fa-battery-4'),array('fa fa-battery-empty' => 'fa-battery-empty'),array('fa fa-battery-full' => 'fa-battery-full'),array('fa fa-battery-half' => 'fa-battery-half'),array('fa fa-battery-quarter' => 'fa-battery-quarter'),array('fa fa-battery-three-quarters' => 'fa-battery-three-quarters'),array('fa fa-bed' => 'fa-bed'),array('fa fa-beer' => 'fa-beer'),array('fa fa-behance' => 'fa-behance'),array('fa fa-behance-square' => 'fa-behance-square'),array('fa fa-bell' => 'fa-bell'),array('fa fa-bell-o' => 'fa-bell-o'),array('fa fa-bell-slash' => 'fa-bell-slash'),array('fa fa-bell-slash-o' => 'fa-bell-slash-o'),array('fa fa-bicycle' => 'fa-bicycle'),array('fa fa-binoculars' => 'fa-binoculars'),array('fa fa-birthday-cake' => 'fa-birthday-cake'),array('fa fa-bitbucket' => 'fa-bitbucket'),array('fa fa-bitbucket-square' => 'fa-bitbucket-square'),array('fa fa-bitcoin' => 'fa-bitcoin'),array('fa fa-black-tie' => 'fa-black-tie'),array('fa fa-bluetooth' => 'fa-bluetooth'),array('fa fa-bluetooth-b' => 'fa-bluetooth-b'),array('fa fa-bold' => 'fa-bold'),array('fa fa-bolt' => 'fa-bolt'),array('fa fa-bomb' => 'fa-bomb'),array('fa fa-book' => 'fa-book'),array('fa fa-bookmark' => 'fa-bookmark'),array('fa fa-bookmark-o' => 'fa-bookmark-o'),array('fa fa-briefcase' => 'fa-briefcase'),array('fa fa-btc' => 'fa-btc'),array('fa fa-bug' => 'fa-bug'),array('fa fa-building' => 'fa-building'),array('fa fa-building-o' => 'fa-building-o'),array('fa fa-bullhorn' => 'fa-bullhorn'),array('fa fa-bullseye' => 'fa-bullseye'),array('fa fa-bus' => 'fa-bus'),array('fa fa-buysellads' => 'fa-buysellads'),array('fa fa-cab' => 'fa-cab'),array('fa fa-calculator' => 'fa-calculator'),array('fa fa-calendar' => 'fa-calendar'),array('fa fa-calendar-check-o' => 'fa-calendar-check-o'),array('fa fa-calendar-minus-o' => 'fa-calendar-minus-o'),array('fa fa-calendar-o' => 'fa-calendar-o'),array('fa fa-calendar-plus-o' => 'fa-calendar-plus-o'),array('fa fa-calendar-times-o' => 'fa-calendar-times-o'),array('fa fa-camera' => 'fa-camera'),array('fa fa-camera-retro' => 'fa-camera-retro'),array('fa fa-car' => 'fa-car'),array('fa fa-caret-down' => 'fa-caret-down'),array('fa fa-caret-left' => 'fa-caret-left'),array('fa fa-caret-right' => 'fa-caret-right'),array('fa fa-caret-square-o-down' => 'fa-caret-square-o-down'),array('fa fa-caret-square-o-left' => 'fa-caret-square-o-left'),array('fa fa-caret-square-o-right' => 'fa-caret-square-o-right'),array('fa fa-caret-square-o-up' => 'fa-caret-square-o-up'),array('fa fa-caret-up' => 'fa-caret-up'),array('fa fa-cart-arrow-down' => 'fa-cart-arrow-down'),array('fa fa-cart-plus' => 'fa-cart-plus'),array('fa fa-cc' => 'fa-cc'),array('fa fa-cc-amex' => 'fa-cc-amex'),array('fa fa-cc-diners-club' => 'fa-cc-diners-club'),array('fa fa-cc-discover' => 'fa-cc-discover'),array('fa fa-cc-jcb' => 'fa-cc-jcb'),array('fa fa-cc-mastercard' => 'fa-cc-mastercard'),array('fa fa-cc-paypal' => 'fa-cc-paypal'),array('fa fa-cc-stripe' => 'fa-cc-stripe'),array('fa fa-cc-visa' => 'fa-cc-visa'),array('fa fa-certificate' => 'fa-certificate'),array('fa fa-chain' => 'fa-chain'),array('fa fa-chain-broken' => 'fa-chain-broken'),array('fa fa-check' => 'fa-check'),array('fa fa-check-circle' => 'fa-check-circle'),array('fa fa-check-circle-o' => 'fa-check-circle-o'),array('fa fa-check-square' => 'fa-check-square'),array('fa fa-check-square-o' => 'fa-check-square-o'),array('fa fa-chevron-circle-down' => 'fa-chevron-circle-down'),array('fa fa-chevron-circle-left' => 'fa-chevron-circle-left'),array('fa fa-chevron-circle-right' => 'fa-chevron-circle-right'),array('fa fa-chevron-circle-up' => 'fa-chevron-circle-up'),array('fa fa-chevron-down' => 'fa-chevron-down'),array('fa fa-chevron-left' => 'fa-chevron-left'),array('fa fa-chevron-right' => 'fa-chevron-right'),array('fa fa-chevron-up' => 'fa-chevron-up'),array('fa fa-child' => 'fa-child'),array('fa fa-chrome' => 'fa-chrome'),array('fa fa-circle' => 'fa-circle'),array('fa fa-circle-o' => 'fa-circle-o'),array('fa fa-circle-o-notch' => 'fa-circle-o-notch'),array('fa fa-circle-thin' => 'fa-circle-thin'),array('fa fa-clipboard' => 'fa-clipboard'),array('fa fa-clock-o' => 'fa-clock-o'),array('fa fa-clone' => 'fa-clone'),array('fa fa-close' => 'fa-close'),array('fa fa-cloud' => 'fa-cloud'),array('fa fa-cloud-download' => 'fa-cloud-download'),array('fa fa-cloud-upload' => 'fa-cloud-upload'),array('fa fa-cny' => 'fa-cny'),array('fa fa-code' => 'fa-code'),array('fa fa-code-fork' => 'fa-code-fork'),array('fa fa-codepen' => 'fa-codepen'),array('fa fa-codiepie' => 'fa-codiepie'),array('fa fa-coffee' => 'fa-coffee'),array('fa fa-cog' => 'fa-cog'),array('fa fa-cogs' => 'fa-cogs'),array('fa fa-columns' => 'fa-columns'),array('fa fa-comment' => 'fa-comment'),array('fa fa-comment-o' => 'fa-comment-o'),array('fa fa-commenting' => 'fa-commenting'),array('fa fa-commenting-o' => 'fa-commenting-o'),array('fa fa-comments' => 'fa-comments'),array('fa fa-comments-o' => 'fa-comments-o'),array('fa fa-compass' => 'fa-compass'),array('fa fa-compress' => 'fa-compress'),array('fa fa-connectdevelop' => 'fa-connectdevelop'),array('fa fa-contao' => 'fa-contao'),array('fa fa-copy' => 'fa-copy'),array('fa fa-copyright' => 'fa-copyright'),array('fa fa-creative-commons' => 'fa-creative-commons'),array('fa fa-credit-card' => 'fa-credit-card'),array('fa fa-credit-card-alt' => 'fa-credit-card-alt'),array('fa fa-crop' => 'fa-crop'),array('fa fa-crosshairs' => 'fa-crosshairs'),array('fa fa-css3' => 'fa-css3'),array('fa fa-cube' => 'fa-cube'),array('fa fa-cubes' => 'fa-cubes'),array('fa fa-cut' => 'fa-cut'),array('fa fa-cutlery' => 'fa-cutlery'),array('fa fa-dashboard' => 'fa-dashboard'),array('fa fa-dashcube' => 'fa-dashcube'),array('fa fa-database' => 'fa-database'),array('fa fa-dedent' => 'fa-dedent'),array('fa fa-delicious' => 'fa-delicious'),array('fa fa-desktop' => 'fa-desktop'),array('fa fa-deviantart' => 'fa-deviantart'),array('fa fa-diamond' => 'fa-diamond'),array('fa fa-digg' => 'fa-digg'),array('fa fa-dollar' => 'fa-dollar'),array('fa fa-dot-circle-o' => 'fa-dot-circle-o'),array('fa fa-download' => 'fa-download'),array('fa fa-dribbble' => 'fa-dribbble'),array('fa fa-dropbox' => 'fa-dropbox'),array('fa fa-drupal' => 'fa-drupal'),array('fa fa-edge' => 'fa-edge'),array('fa fa-edit' => 'fa-edit'),array('fa fa-eject' => 'fa-eject'),array('fa fa-ellipsis-h' => 'fa-ellipsis-h'),array('fa fa-ellipsis-v' => 'fa-ellipsis-v'),array('fa fa-empire' => 'fa-empire'),array('fa fa-envelope' => 'fa-envelope'),array('fa fa-envelope-o' => 'fa-envelope-o'),array('fa fa-envelope-square' => 'fa-envelope-square'),array('fa fa-eraser' => 'fa-eraser'),array('fa fa-eur' => 'fa-eur'),array('fa fa-euro' => 'fa-euro'),array('fa fa-exchange' => 'fa-exchange'),array('fa fa-exclamation' => 'fa-exclamation'),array('fa fa-exclamation-circle' => 'fa-exclamation-circle'),array('fa fa-exclamation-triangle' => 'fa-exclamation-triangle'),array('fa fa-expand' => 'fa-expand'),array('fa fa-expeditedssl' => 'fa-expeditedssl'),array('fa fa-external-link' => 'fa-external-link'),array('fa fa-external-link-square' => 'fa-external-link-square'),array('fa fa-eye' => 'fa-eye'),array('fa fa-eye-slash' => 'fa-eye-slash'),array('fa fa-eyedropper' => 'fa-eyedropper'),array('fa fa-facebook' => 'fa-facebook'),array('fa fa-facebook-f' => 'fa-facebook-f'),array('fa fa-facebook-official' => 'fa-facebook-official'),array('fa fa-facebook-square' => 'fa-facebook-square'),array('fa fa-fast-backward' => 'fa-fast-backward'),array('fa fa-fast-forward' => 'fa-fast-forward'),array('fa fa-fax' => 'fa-fax'),array('fa fa-feed' => 'fa-feed'),array('fa fa-female' => 'fa-female'),array('fa fa-fighter-jet' => 'fa-fighter-jet'),array('fa fa-file' => 'fa-file'),array('fa fa-file-archive-o' => 'fa-file-archive-o'),array('fa fa-file-audio-o' => 'fa-file-audio-o'),array('fa fa-file-code-o' => 'fa-file-code-o'),array('fa fa-file-excel-o' => 'fa-file-excel-o'),array('fa fa-file-image-o' => 'fa-file-image-o'),array('fa fa-file-movie-o' => 'fa-file-movie-o'),array('fa fa-file-o' => 'fa-file-o'),array('fa fa-file-pdf-o' => 'fa-file-pdf-o'),array('fa fa-file-photo-o' => 'fa-file-photo-o'),array('fa fa-file-picture-o' => 'fa-file-picture-o'),array('fa fa-file-powerpoint-o' => 'fa-file-powerpoint-o'),array('fa fa-file-sound-o' => 'fa-file-sound-o'),array('fa fa-file-text' => 'fa-file-text'),array('fa fa-file-text-o' => 'fa-file-text-o'),array('fa fa-file-video-o' => 'fa-file-video-o'),array('fa fa-file-word-o' => 'fa-file-word-o'),array('fa fa-file-zip-o' => 'fa-file-zip-o'),array('fa fa-files-o' => 'fa-files-o'),array('fa fa-film' => 'fa-film'),array('fa fa-filter' => 'fa-filter'),array('fa fa-fire' => 'fa-fire'),array('fa fa-fire-extinguisher' => 'fa-fire-extinguisher'),array('fa fa-firefox' => 'fa-firefox'),array('fa fa-flag' => 'fa-flag'),array('fa fa-flag-checkered' => 'fa-flag-checkered'),array('fa fa-flag-o' => 'fa-flag-o'),array('fa fa-flash' => 'fa-flash'),array('fa fa-flask' => 'fa-flask'),array('fa fa-flickr' => 'fa-flickr'),array('fa fa-floppy-o' => 'fa-floppy-o'),array('fa fa-folder' => 'fa-folder'),array('fa fa-folder-o' => 'fa-folder-o'),array('fa fa-folder-open' => 'fa-folder-open'),array('fa fa-folder-open-o' => 'fa-folder-open-o'),array('fa fa-font' => 'fa-font'),array('fa fa-fonticons' => 'fa-fonticons'),array('fa fa-fort-awesome' => 'fa-fort-awesome'),array('fa fa-forumbee' => 'fa-forumbee'),array('fa fa-forward' => 'fa-forward'),array('fa fa-foursquare' => 'fa-foursquare'),array('fa fa-frown-o' => 'fa-frown-o'),array('fa fa-futbol-o' => 'fa-futbol-o'),array('fa fa-gamepad' => 'fa-gamepad'),array('fa fa-gavel' => 'fa-gavel'),array('fa fa-gbp' => 'fa-gbp'),array('fa fa-ge' => 'fa-ge'),array('fa fa-gear' => 'fa-gear'),array('fa fa-gears' => 'fa-gears'),array('fa fa-genderless' => 'fa-genderless'),array('fa fa-get-pocket' => 'fa-get-pocket'),array('fa fa-gg' => 'fa-gg'),array('fa fa-gg-circle' => 'fa-gg-circle'),array('fa fa-gift' => 'fa-gift'),array('fa fa-git' => 'fa-git'),array('fa fa-git-square' => 'fa-git-square'),array('fa fa-github' => 'fa-github'),array('fa fa-github-alt' => 'fa-github-alt'),array('fa fa-github-square' => 'fa-github-square'),array('fa fa-gittip' => 'fa-gittip'),array('fa fa-glass' => 'fa-glass'),array('fa fa-globe' => 'fa-globe'),array('fa fa-google' => 'fa-google'),array('fa fa-google-plus' => 'fa-google-plus'),array('fa fa-google-plus-square' => 'fa-google-plus-square'),array('fa fa-google-wallet' => 'fa-google-wallet'),array('fa fa-graduation-cap' => 'fa-graduation-cap'),array('fa fa-gratipay' => 'fa-gratipay'),array('fa fa-group' => 'fa-group'),array('fa fa-h-square' => 'fa-h-square'),array('fa fa-hacker-news' => 'fa-hacker-news'),array('fa fa-hand-grab-o' => 'fa-hand-grab-o'),array('fa fa-hand-lizard-o' => 'fa-hand-lizard-o'),array('fa fa-hand-o-down' => 'fa-hand-o-down'),array('fa fa-hand-o-left' => 'fa-hand-o-left'),array('fa fa-hand-o-right' => 'fa-hand-o-right'),array('fa fa-hand-o-up' => 'fa-hand-o-up'),array('fa fa-hand-paper-o' => 'fa-hand-paper-o'),array('fa fa-hand-peace-o' => 'fa-hand-peace-o'),array('fa fa-hand-pointer-o' => 'fa-hand-pointer-o'),array('fa fa-hand-rock-o' => 'fa-hand-rock-o'),array('fa fa-hand-scissors-o' => 'fa-hand-scissors-o'),array('fa fa-hand-spock-o' => 'fa-hand-spock-o'),array('fa fa-hand-stop-o' => 'fa-hand-stop-o'),array('fa fa-hashtag' => 'fa-hashtag'),array('fa fa-hdd-o' => 'fa-hdd-o'),array('fa fa-header' => 'fa-header'),array('fa fa-headphones' => 'fa-headphones'),array('fa fa-heart' => 'fa-heart'),array('fa fa-heart-o' => 'fa-heart-o'),array('fa fa-heartbeat' => 'fa-heartbeat'),array('fa fa-history' => 'fa-history'),array('fa fa-home' => 'fa-home'),array('fa fa-hospital-o' => 'fa-hospital-o'),array('fa fa-hotel' => 'fa-hotel'),array('fa fa-hourglass' => 'fa-hourglass'),array('fa fa-hourglass-1' => 'fa-hourglass-1'),array('fa fa-hourglass-2' => 'fa-hourglass-2'),array('fa fa-hourglass-3' => 'fa-hourglass-3'),array('fa fa-hourglass-end' => 'fa-hourglass-end'),array('fa fa-hourglass-half' => 'fa-hourglass-half'),array('fa fa-hourglass-o' => 'fa-hourglass-o'),array('fa fa-hourglass-start' => 'fa-hourglass-start'),array('fa fa-houzz' => 'fa-houzz'),array('fa fa-html5' => 'fa-html5'),array('fa fa-i-cursor' => 'fa-i-cursor'),array('fa fa-ils' => 'fa-ils'),array('fa fa-image' => 'fa-image'),array('fa fa-inbox' => 'fa-inbox'),array('fa fa-indent' => 'fa-indent'),array('fa fa-industry' => 'fa-industry'),array('fa fa-info' => 'fa-info'),array('fa fa-info-circle' => 'fa-info-circle'),array('fa fa-inr' => 'fa-inr'),array('fa fa-instagram' => 'fa-instagram'),array('fa fa-institution' => 'fa-institution'),array('fa fa-internet-explorer' => 'fa-internet-explorer'),array('fa fa-intersex' => 'fa-intersex'),array('fa fa-ioxhost' => 'fa-ioxhost'),array('fa fa-italic' => 'fa-italic'),array('fa fa-joomla' => 'fa-joomla'),array('fa fa-jpy' => 'fa-jpy'),array('fa fa-jsfiddle' => 'fa-jsfiddle'),array('fa fa-key' => 'fa-key'),array('fa fa-keyboard-o' => 'fa-keyboard-o'),array('fa fa-krw' => 'fa-krw'),array('fa fa-language' => 'fa-language'),array('fa fa-laptop' => 'fa-laptop'),array('fa fa-lastfm' => 'fa-lastfm'),array('fa fa-lastfm-square' => 'fa-lastfm-square'),array('fa fa-leaf' => 'fa-leaf'),array('fa fa-leanpub' => 'fa-leanpub'),array('fa fa-legal' => 'fa-legal'),array('fa fa-lemon-o' => 'fa-lemon-o'),array('fa fa-level-down' => 'fa-level-down'),array('fa fa-level-up' => 'fa-level-up'),array('fa fa-life-bouy' => 'fa-life-bouy'),array('fa fa-life-buoy' => 'fa-life-buoy'),array('fa fa-life-ring' => 'fa-life-ring'),array('fa fa-life-saver' => 'fa-life-saver'),array('fa fa-lightbulb-o' => 'fa-lightbulb-o'),array('fa fa-line-chart' => 'fa-line-chart'),array('fa fa-link' => 'fa-link'),array('fa fa-linkedin' => 'fa-linkedin'),array('fa fa-linkedin-square' => 'fa-linkedin-square'),array('fa fa-linux' => 'fa-linux'),array('fa fa-list' => 'fa-list'),array('fa fa-list-alt' => 'fa-list-alt'),array('fa fa-list-ol' => 'fa-list-ol'),array('fa fa-list-ul' => 'fa-list-ul'),array('fa fa-location-arrow' => 'fa-location-arrow'),array('fa fa-lock' => 'fa-lock'),array('fa fa-long-arrow-down' => 'fa-long-arrow-down'),array('fa fa-long-arrow-left' => 'fa-long-arrow-left'),array('fa fa-long-arrow-right' => 'fa-long-arrow-right'),array('fa fa-long-arrow-up' => 'fa-long-arrow-up'),array('fa fa-magic' => 'fa-magic'),array('fa fa-magnet' => 'fa-magnet'),array('fa fa-mail-forward' => 'fa-mail-forward'),array('fa fa-mail-reply' => 'fa-mail-reply'),array('fa fa-mail-reply-all' => 'fa-mail-reply-all'),array('fa fa-male' => 'fa-male'),array('fa fa-map' => 'fa-map'),array('fa fa-map-marker' => 'fa-map-marker'),array('fa fa-map-o' => 'fa-map-o'),array('fa fa-map-pin' => 'fa-map-pin'),array('fa fa-map-signs' => 'fa-map-signs'),array('fa fa-mars' => 'fa-mars'),array('fa fa-mars-double' => 'fa-mars-double'),array('fa fa-mars-stroke' => 'fa-mars-stroke'),array('fa fa-mars-stroke-h' => 'fa-mars-stroke-h'),array('fa fa-mars-stroke-v' => 'fa-mars-stroke-v'),array('fa fa-maxcdn' => 'fa-maxcdn'),array('fa fa-meanpath' => 'fa-meanpath'),array('fa fa-medium' => 'fa-medium'),array('fa fa-medkit' => 'fa-medkit'),array('fa fa-meh-o' => 'fa-meh-o'),array('fa fa-mercury' => 'fa-mercury'),array('fa fa-microphone' => 'fa-microphone'),array('fa fa-microphone-slash' => 'fa-microphone-slash'),array('fa fa-minus' => 'fa-minus'),array('fa fa-minus-circle' => 'fa-minus-circle'),array('fa fa-minus-square' => 'fa-minus-square'),array('fa fa-minus-square-o' => 'fa-minus-square-o'),array('fa fa-mixcloud' => 'fa-mixcloud'),array('fa fa-mobile' => 'fa-mobile'),array('fa fa-mobile-phone' => 'fa-mobile-phone'),array('fa fa-modx' => 'fa-modx'),array('fa fa-money' => 'fa-money'),array('fa fa-moon-o' => 'fa-moon-o'),array('fa fa-mortar-board' => 'fa-mortar-board'),array('fa fa-motorcycle' => 'fa-motorcycle'),array('fa fa-mouse-pointer' => 'fa-mouse-pointer'),array('fa fa-music' => 'fa-music'),array('fa fa-navicon' => 'fa-navicon'),array('fa fa-neuter' => 'fa-neuter'),array('fa fa-newspaper-o' => 'fa-newspaper-o'),array('fa fa-object-group' => 'fa-object-group'),array('fa fa-object-ungroup' => 'fa-object-ungroup'),array('fa fa-odnoklassniki' => 'fa-odnoklassniki'),array('fa fa-odnoklassniki-square' => 'fa-odnoklassniki-square'),array('fa fa-opencart' => 'fa-opencart'),array('fa fa-openid' => 'fa-openid'),array('fa fa-opera' => 'fa-opera'),array('fa fa-optin-monster' => 'fa-optin-monster'),array('fa fa-outdent' => 'fa-outdent'),array('fa fa-pagelines' => 'fa-pagelines'),array('fa fa-paint-brush' => 'fa-paint-brush'),array('fa fa-paper-plane' => 'fa-paper-plane'),array('fa fa-paper-plane-o' => 'fa-paper-plane-o'),array('fa fa-paperclip' => 'fa-paperclip'),array('fa fa-paragraph' => 'fa-paragraph'),array('fa fa-paste' => 'fa-paste'),array('fa fa-pause' => 'fa-pause'),array('fa fa-pause-circle' => 'fa-pause-circle'),array('fa fa-pause-circle-o' => 'fa-pause-circle-o'),array('fa fa-paw' => 'fa-paw'),array('fa fa-paypal' => 'fa-paypal'),array('fa fa-pencil' => 'fa-pencil'),array('fa fa-pencil-square' => 'fa-pencil-square'),array('fa fa-pencil-square-o' => 'fa-pencil-square-o'),array('fa fa-percent' => 'fa-percent'),array('fa fa-phone' => 'fa-phone'),array('fa fa-phone-square' => 'fa-phone-square'),array('fa fa-photo' => 'fa-photo'),array('fa fa-picture-o' => 'fa-picture-o'),array('fa fa-pie-chart' => 'fa-pie-chart'),array('fa fa-pied-piper' => 'fa-pied-piper'),array('fa fa-pied-piper-alt' => 'fa-pied-piper-alt'),array('fa fa-pinterest' => 'fa-pinterest'),array('fa fa-pinterest-p' => 'fa-pinterest-p'),array('fa fa-pinterest-square' => 'fa-pinterest-square'),array('fa fa-plane' => 'fa-plane'),array('fa fa-play' => 'fa-play'),array('fa fa-play-circle' => 'fa-play-circle'),array('fa fa-play-circle-o' => 'fa-play-circle-o'),array('fa fa-plug' => 'fa-plug'),array('fa fa-plus' => 'fa-plus'),array('fa fa-plus-circle' => 'fa-plus-circle'),array('fa fa-plus-square' => 'fa-plus-square'),array('fa fa-plus-square-o' => 'fa-plus-square-o'),array('fa fa-power-off' => 'fa-power-off'),array('fa fa-print' => 'fa-print'),array('fa fa-product-hunt' => 'fa-product-hunt'),array('fa fa-puzzle-piece' => 'fa-puzzle-piece'),array('fa fa-qq' => 'fa-qq'),array('fa fa-qrcode' => 'fa-qrcode'),array('fa fa-question' => 'fa-question'),array('fa fa-question-circle' => 'fa-question-circle'),array('fa fa-quote-left' => 'fa-quote-left'),array('fa fa-quote-right' => 'fa-quote-right'),array('fa fa-ra' => 'fa-ra'),array('fa fa-random' => 'fa-random'),array('fa fa-rebel' => 'fa-rebel'),array('fa fa-recycle' => 'fa-recycle'),array('fa fa-reddit' => 'fa-reddit'),array('fa fa-reddit-alien' => 'fa-reddit-alien'),array('fa fa-reddit-square' => 'fa-reddit-square'),array('fa fa-refresh' => 'fa-refresh'),array('fa fa-registered' => 'fa-registered'),array('fa fa-remove' => 'fa-remove'),array('fa fa-renren' => 'fa-renren'),array('fa fa-reorder' => 'fa-reorder'),array('fa fa-repeat' => 'fa-repeat'),array('fa fa-reply' => 'fa-reply'),array('fa fa-reply-all' => 'fa-reply-all'),array('fa fa-retweet' => 'fa-retweet'),array('fa fa-rmb' => 'fa-rmb'),array('fa fa-road' => 'fa-road'),array('fa fa-rocket' => 'fa-rocket'),array('fa fa-rotate-left' => 'fa-rotate-left'),array('fa fa-rotate-right' => 'fa-rotate-right'),array('fa fa-rouble' => 'fa-rouble'),array('fa fa-rss' => 'fa-rss'),array('fa fa-rss-square' => 'fa-rss-square'),array('fa fa-rub' => 'fa-rub'),array('fa fa-ruble' => 'fa-ruble'),array('fa fa-rupee' => 'fa-rupee'),array('fa fa-safari' => 'fa-safari'),array('fa fa-save' => 'fa-save'),array('fa fa-scissors' => 'fa-scissors'),array('fa fa-scribd' => 'fa-scribd'),array('fa fa-search' => 'fa-search'),array('fa fa-search-minus' => 'fa-search-minus'),array('fa fa-search-plus' => 'fa-search-plus'),array('fa fa-sellsy' => 'fa-sellsy'),array('fa fa-send' => 'fa-send'),array('fa fa-send-o' => 'fa-send-o'),array('fa fa-server' => 'fa-server'),array('fa fa-share' => 'fa-share'),array('fa fa-share-alt' => 'fa-share-alt'),array('fa fa-share-alt-square' => 'fa-share-alt-square'),array('fa fa-share-square' => 'fa-share-square'),array('fa fa-share-square-o' => 'fa-share-square-o'),array('fa fa-shekel' => 'fa-shekel'),array('fa fa-sheqel' => 'fa-sheqel'),array('fa fa-shield' => 'fa-shield'),array('fa fa-ship' => 'fa-ship'),array('fa fa-shirtsinbulk' => 'fa-shirtsinbulk'),array('fa fa-shopping-bag' => 'fa-shopping-bag'),array('fa fa-shopping-basket' => 'fa-shopping-basket'),array('fa fa-shopping-cart' => 'fa-shopping-cart'),array('fa fa-sign-in' => 'fa-sign-in'),array('fa fa-sign-out' => 'fa-sign-out'),array('fa fa-signal' => 'fa-signal'),array('fa fa-simplybuilt' => 'fa-simplybuilt'),array('fa fa-sitemap' => 'fa-sitemap'),array('fa fa-skyatlas' => 'fa-skyatlas'),array('fa fa-skype' => 'fa-skype'),array('fa fa-slack' => 'fa-slack'),array('fa fa-sliders' => 'fa-sliders'),array('fa fa-slideshare' => 'fa-slideshare'),array('fa fa-smile-o' => 'fa-smile-o'),array('fa fa-soccer-ball-o' => 'fa-soccer-ball-o'),array('fa fa-sort' => 'fa-sort'),array('fa fa-sort-alpha-asc' => 'fa-sort-alpha-asc'),array('fa fa-sort-alpha-desc' => 'fa-sort-alpha-desc'),array('fa fa-sort-amount-asc' => 'fa-sort-amount-asc'),array('fa fa-sort-amount-desc' => 'fa-sort-amount-desc'),array('fa fa-sort-asc' => 'fa-sort-asc'),array('fa fa-sort-desc' => 'fa-sort-desc'),array('fa fa-sort-down' => 'fa-sort-down'),array('fa fa-sort-numeric-asc' => 'fa-sort-numeric-asc'),array('fa fa-sort-numeric-desc' => 'fa-sort-numeric-desc'),array('fa fa-sort-up' => 'fa-sort-up'),array('fa fa-soundcloud' => 'fa-soundcloud'),array('fa fa-space-shuttle' => 'fa-space-shuttle'),array('fa fa-spinner' => 'fa-spinner'),array('fa fa-spoon' => 'fa-spoon'),array('fa fa-spotify' => 'fa-spotify'),array('fa fa-square' => 'fa-square'),array('fa fa-square-o' => 'fa-square-o'),array('fa fa-stack-exchange' => 'fa-stack-exchange'),array('fa fa-stack-overflow' => 'fa-stack-overflow'),array('fa fa-star' => 'fa-star'),array('fa fa-star-half' => 'fa-star-half'),array('fa fa-star-half-empty' => 'fa-star-half-empty'),array('fa fa-star-half-full' => 'fa-star-half-full'),array('fa fa-star-half-o' => 'fa-star-half-o'),array('fa fa-star-o' => 'fa-star-o'),array('fa fa-steam' => 'fa-steam'),array('fa fa-steam-square' => 'fa-steam-square'),array('fa fa-step-backward' => 'fa-step-backward'),array('fa fa-step-forward' => 'fa-step-forward'),array('fa fa-stethoscope' => 'fa-stethoscope'),array('fa fa-sticky-note' => 'fa-sticky-note'),array('fa fa-sticky-note-o' => 'fa-sticky-note-o'),array('fa fa-stop' => 'fa-stop'),array('fa fa-stop-circle' => 'fa-stop-circle'),array('fa fa-stop-circle-o' => 'fa-stop-circle-o'),array('fa fa-street-view' => 'fa-street-view'),array('fa fa-strikethrough' => 'fa-strikethrough'),array('fa fa-stumbleupon' => 'fa-stumbleupon'),array('fa fa-stumbleupon-circle' => 'fa-stumbleupon-circle'),array('fa fa-subscript' => 'fa-subscript'),array('fa fa-subway' => 'fa-subway'),array('fa fa-suitcase' => 'fa-suitcase'),array('fa fa-sun-o' => 'fa-sun-o'),array('fa fa-superscript' => 'fa-superscript'),array('fa fa-support' => 'fa-support'),array('fa fa-table' => 'fa-table'),array('fa fa-tablet' => 'fa-tablet'),array('fa fa-tachometer' => 'fa-tachometer'),array('fa fa-tag' => 'fa-tag'),array('fa fa-tags' => 'fa-tags'),array('fa fa-tasks' => 'fa-tasks'),array('fa fa-taxi' => 'fa-taxi'),array('fa fa-television' => 'fa-television'),array('fa fa-tencent-weibo' => 'fa-tencent-weibo'),array('fa fa-terminal' => 'fa-terminal'),array('fa fa-text-height' => 'fa-text-height'),array('fa fa-text-width' => 'fa-text-width'),array('fa fa-th' => 'fa-th'),array('fa fa-th-large' => 'fa-th-large'),array('fa fa-th-list' => 'fa-th-list'),array('fa fa-thumb-tack' => 'fa-thumb-tack'),array('fa fa-thumbs-down' => 'fa-thumbs-down'),array('fa fa-thumbs-o-down' => 'fa-thumbs-o-down'),array('fa fa-thumbs-o-up' => 'fa-thumbs-o-up'),array('fa fa-thumbs-up' => 'fa-thumbs-up'),array('fa fa-ticket' => 'fa-ticket'),array('fa fa-times' => 'fa-times'),array('fa fa-times-circle' => 'fa-times-circle'),array('fa fa-times-circle-o' => 'fa-times-circle-o'),array('fa fa-tint' => 'fa-tint'),array('fa fa-toggle-down' => 'fa-toggle-down'),array('fa fa-toggle-left' => 'fa-toggle-left'),array('fa fa-toggle-off' => 'fa-toggle-off'),array('fa fa-toggle-on' => 'fa-toggle-on'),array('fa fa-toggle-right' => 'fa-toggle-right'),array('fa fa-toggle-up' => 'fa-toggle-up'),array('fa fa-trademark' => 'fa-trademark'),array('fa fa-train' => 'fa-train'),array('fa fa-transgender' => 'fa-transgender'),array('fa fa-transgender-alt' => 'fa-transgender-alt'),array('fa fa-trash' => 'fa-trash'),array('fa fa-trash-o' => 'fa-trash-o'),array('fa fa-tree' => 'fa-tree'),array('fa fa-trello' => 'fa-trello'),array('fa fa-tripadvisor' => 'fa-tripadvisor'),array('fa fa-trophy' => 'fa-trophy'),array('fa fa-truck' => 'fa-truck'),array('fa fa-try' => 'fa-try'),array('fa fa-tty' => 'fa-tty'),array('fa fa-tumblr' => 'fa-tumblr'),array('fa fa-tumblr-square' => 'fa-tumblr-square'),array('fa fa-turkish-lira' => 'fa-turkish-lira'),array('fa fa-tv' => 'fa-tv'),array('fa fa-twitch' => 'fa-twitch'),array('fa fa-twitter' => 'fa-twitter'),array('fa fa-twitter-square' => 'fa-twitter-square'),array('fa fa-umbrella' => 'fa-umbrella'),array('fa fa-underline' => 'fa-underline'),array('fa fa-undo' => 'fa-undo'),array('fa fa-university' => 'fa-university'),array('fa fa-unlink' => 'fa-unlink'),array('fa fa-unlock' => 'fa-unlock'),array('fa fa-unlock-alt' => 'fa-unlock-alt'),array('fa fa-unsorted' => 'fa-unsorted'),array('fa fa-upload' => 'fa-upload'),array('fa fa-usb' => 'fa-usb'),array('fa fa-usd' => 'fa-usd'),array('fa fa-user' => 'fa-user'),array('fa fa-user-md' => 'fa-user-md'),array('fa fa-user-plus' => 'fa-user-plus'),array('fa fa-user-secret' => 'fa-user-secret'),array('fa fa-user-times' => 'fa-user-times'),array('fa fa-users' => 'fa-users'),array('fa fa-venus' => 'fa-venus'),array('fa fa-venus-double' => 'fa-venus-double'),array('fa fa-venus-mars' => 'fa-venus-mars'),array('fa fa-viacoin' => 'fa-viacoin'),array('fa fa-video-camera' => 'fa-video-camera'),array('fa fa-vimeo' => 'fa-vimeo'),array('fa fa-vimeo-square' => 'fa-vimeo-square'),array('fa fa-vine' => 'fa-vine'),array('fa fa-vk' => 'fa-vk'),array('fa fa-volume-down' => 'fa-volume-down'),array('fa fa-volume-off' => 'fa-volume-off'),array('fa fa-volume-up' => 'fa-volume-up'),array('fa fa-warning' => 'fa-warning'),array('fa fa-wechat' => 'fa-wechat'),array('fa fa-weibo' => 'fa-weibo'),array('fa fa-weixin' => 'fa-weixin'),array('fa fa-whatsapp' => 'fa-whatsapp'),array('fa fa-wheelchair' => 'fa-wheelchair'),array('fa fa-wifi' => 'fa-wifi'),array('fa fa-wikipedia-w' => 'fa-wikipedia-w'),array('fa fa-windows' => 'fa-windows'),array('fa fa-won' => 'fa-won'),array('fa fa-wordpress' => 'fa-wordpress'),array('fa fa-wrench' => 'fa-wrench'),array('fa fa-xing' => 'fa-xing'),array('fa fa-xing-square' => 'fa-xing-square'),array('fa fa-y-combinator' => 'fa-y-combinator'),array('fa fa-y-combinator-square' => 'fa-y-combinator-square'),array('fa fa-yahoo' => 'fa-yahoo'),array('fa fa-yc' => 'fa-yc'),array('fa fa-yc-square' => 'fa-yc-square'),array('fa fa-yelp' => 'fa-yelp'),array('fa fa-yen' => 'fa-yen'),array('fa fa-youtube' => 'fa-youtube'),array('fa fa-youtube-play' => 'fa-youtube-play'),array('fa fa-youtube-square' => 'fa-youtube-square'));

		return $GLOBALS['g5plus_font_awesome'];
	}

	// is_do_action_custom_page
	public static function is_do_action_custom_page() {
		if (isset($GLOBALS['g5plus_is_do_action_custom_page'])) {
			$GLOBALS['g5plus_is_do_action_custom_page'] = true;
			return $GLOBALS['g5plus_is_do_action_custom_page'];
		}
		return false;
	}

	// is bind off canvas menu
	public static function is_bind_canvas_menu() {
		if (isset($GLOBALS['g5plus_is_bind_canvas_menu'])) {
			$GLOBALS['g5plus_is_bind_canvas_menu'] = true;
			return $GLOBALS['g5plus_is_bind_canvas_menu'];
		}
		return false;
	}

	// GET/SET header customize current
	public static function &get_header_customize_current(){
		if (isset($GLOBALS['g5plus_header_customize_current'])) {
			return $GLOBALS['g5plus_header_customize_current'];
		}
		$GLOBALS['g5plus_header_customize_current'] = 'nav';
		return $GLOBALS['g5plus_header_customize_current'];
	}
	public static function set_header_customize_current($value) {
		$GLOBALS['g5plus_header_customize_current'] = $value;
	}

	// SET/GET archive_loop
	public static function &get_archive_loop(){
		if (isset($GLOBALS['g5plus_archive_loop'])) {
			return $GLOBALS['g5plus_archive_loop'];
		}
		$GLOBALS['g5plus_archive_loop'] = array();
		return $GLOBALS['g5plus_archive_loop'];
	}
	public static function set_archive_loop($value) {
		$GLOBALS['g5plus_archive_loop'] = $value;
	}

	// Image Thumb Size
	// Fonts Awesome
	public static function &get_image_size() {
		if (isset($GLOBALS['g5plus_image_size']) && is_array($GLOBALS['g5plus_image_size'])) {
			return $GLOBALS['g5plus_image_size'];
		}
		$GLOBALS['g5plus_image_size'] = array(
			'blog-large-image-full-width' => array(
				'width' => 1170,
				'height' => 658
			),
			'blog-large-image-sidebar' => array(
				'width' => 870,
				'height' => 490
			),
			'blog-medium-image' => array(
				'width' => 570,
				'height' => 321
			),
			'blog-related' => array(
				'width' => 370,
				'height' => 248
			),
			'blog-sidebar' => array(
				'width' => 76,
				'height' => 58
			),
			'post-large' => array(
				'width' => 570,
				'height' => 380
			),
			'post-small' => array(
				'width' => 270,
				'height' => 181
			),
		);
		return $GLOBALS['g5plus_image_size'];
	}

	// GET Woocommerce loop
	public static function &get_woocommerce_loop() {
		if (isset($GLOBALS['g5plus_woocommerce_loop']) && is_array($GLOBALS['g5plus_woocommerce_loop'])) {
			return $GLOBALS['g5plus_woocommerce_loop'];
		}
		$GLOBALS['g5plus_woocommerce_loop'] = array();
		return $GLOBALS['g5plus_woocommerce_loop'];
	}

	//GET g5plus_woocommerce_single
	public static function &get_woocommerce_single() {
		if (isset($GLOBALS['g5plus_woocommerce_single']) && is_array($GLOBALS['g5plus_woocommerce_single'])) {
			return $GLOBALS['g5plus_woocommerce_single'];
		}
		$GLOBALS['g5plus_woocommerce_single'] = array();
		$GLOBALS['g5plus_woocommerce_single']['has_sidebar'] = false;
		return $GLOBALS['g5plus_woocommerce_single'];
	}

	//GET VC pixel_icons
	public static function &get_pixel_icons() {
		global $pixel_icons;
		if (isset($pixel_icons)) {
			return $pixel_icons;
		}
		$val = array();
		return $val;
	}

	// GET/SET g5plus_footer_container_layout
	public static function &get_footer_container_layout() {
		if (isset($GLOBALS['g5plus_footer_container_layout'])) {
			return $GLOBALS['g5plus_footer_container_layout'];
		}
		$GLOBALS['g5plus_footer_container_layout'] = 'container';
		return $GLOBALS['g5plus_footer_container_layout'];
	}
	public static function set_footer_container_layout($value) {
		$GLOBALS['g5plus_footer_container_layout'] = $value;
	}

	// GET meta_boxs
	public static function &get_meta_boxes() {
		if (isset($GLOBALS['g5plus_meta_boxes']) && is_array($GLOBALS['g5plus_meta_boxes'])) {
			return $GLOBALS['g5plus_meta_boxes'];
		}
		$GLOBALS['g5plus_meta_boxes'] = array();
		return $GLOBALS['g5plus_meta_boxes'];
	}
}